Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLSchemaSyntax

    java.lang.Object
      ix.util.xml.XMLSyntax
          ix.util.xml.XMLSchemaSyntax

    public class XMLSchemaSyntax

extends XMLSyntax

Describes the (XML) syntax of I-X data objects as an XML schema.

Nested Class Summary
`(package private) static class` | `XMLSchemaSyntax.ExtendedElement`
`static class` | `XMLSchemaSyntax.Schema` An XML schema.

Field Summary
`static org.jdom.Namespace` | `schemaNamespace`
`(package private) static java.lang.Object[][]` | `simpleTypeTable` Maps classes to simple schema types.
`(package private) XMLSchemaSyntax.Schema` | `theSchema`

Fields inherited from class ix.util.xml.XMLSyntax
`attributeFieldP, classSyntax, inheritance, xmlt`

Constructor Summary
`XMLSchemaSyntax()`
`XMLSchemaSyntax(XMLTranslator xmlt)`

Method Summary
`(package private) void` | `addClassSyntax(XMLSchemaSyntax.Schema schema, java.lang.Class c)`
`(package private) void` | `addEnumerationSyntax(XMLSchemaSyntax.Schema schema, java.lang.Class c)`
`(package private) void` | `addFrameworkDeclarations(XMLSchemaSyntax.Schema schema, java.lang.Class c)`
`(package private) void` | `addLiteralDocumentSyntax(XMLSchemaSyntax.Schema schema, java.lang.Class c)`
`(package private) void` | `addPrimitiveSyntax(XMLSchemaSyntax.Schema schema, java.lang.Class c)`
`(package private) void` | `addRootSyntax(XMLSchemaSyntax.Schema schema)`
`(package private) void` | `addStructSyntax(XMLSchemaSyntax.Schema schema, java.lang.Class c)`
`(package private) java.lang.String` | `asElementTypeName(java.lang.Class c)`
`(package private) void` | `ensureListofClassTypes(java.lang.Class c)`
`(package private) java.lang.String` | `getListValueType(ClassDescr value)`
`(package private) java.lang.String` | `getMapValueType(ClassDescr value)`
`(package private) java.lang.String` | `getPlainValueType(ClassDescr value)`
`static java.lang.String` | `getSimpleType(java.lang.Class c)` Maps classes to simple schema types.
`(package private) java.lang.String` | `getStructFieldValueType(FieldDescr fd)`
`(package private) java.lang.String` | `ListofClassAsElementTypeName(java.lang.Class eltClass)`
`(package private) java.lang.String` | `ListofClassTypeName(java.lang.Class c)`
`static void` | `main(java.lang.String[] argv)` Outputs a schema for I-X plans or for the class specified by the "root" parameter.
`(package private) org.jdom.Element` | `makeClassAsElementType(ClassDescr cd)`
`org.jdom.Element` | `makeElement(java.lang.String name, org.jdom.Namespace namespace, java.lang.String[][] attributes)`
`(package private) org.jdom.Element` | `makeEnumerationType(java.lang.Class c)`
`(package private) java.util.List` | `makeEnumerationValueElements(java.lang.Class c)`
`(package private) org.jdom.Element` | `makeListofClassAsElementType(java.lang.Class c)`
`(package private) org.jdom.Element` | `makeListofClassType(java.lang.Class c)`
`(package private) org.jdom.Element` | `makeListType()`
`(package private) org.jdom.Element` | `makeLiteralDocumentType(java.lang.Class c)`
`(package private) org.jdom.Element` | `makeLowerCaseClassElement(ClassDescr cd)`
`(package private) org.jdom.Element` | `makeMapEntryElement()`
`(package private) org.jdom.Element` | `makeMapType()`
`(package private) org.jdom.Element` | `makeObjectTypeElement(java.lang.String name)`
`(package private) org.jdom.Element` | `makePrimitiveType(java.lang.Class c)`
`XMLSchemaSyntax.Schema` | `makeSchema(java.lang.Class rootClass)`
`(package private) XMLSchemaSyntax.Schema` | `makeSchema(java.lang.Class rootClass, java.util.List relevantClasses)`
`(package private) org.jdom.Element` | `makeSequenceOfClass(java.lang.Class c)`
`(package private) org.jdom.Element` | `makeSequenceOfElement(org.jdom.Element elt)`
`(package private) org.jdom.Element` | `makeStructAttributeElement(FieldDescr fd)`
`(package private) java.util.List` | `makeStructAttributeElements(java.util.List fields)`
`(package private) java.util.List` | `makeStructContents(java.lang.Class c)`
`(package private) org.jdom.Element` | `makeStructFieldElement(FieldDescr fd)`
`(package private) java.util.List` | `makeStructFieldElements(java.util.List fields)`
`(package private) org.jdom.Element` | `makeStructType(java.lang.Class c)`
`(package private) org.jdom.Element` | `makeUpperCaseClassElement(ClassDescr cd)`
`org.jdom.Element` | `makeXsdElement(java.lang.String name)`
`org.jdom.Element` | `makeXsdElement(java.lang.String name, java.lang.String[][] attributes)`

Methods inherited from class ix.util.xml.XMLSyntax
`attributeFields, collectListofClasses, describeClass, elementFields, getClassDescr, getConstraintSyntaxList, getElementName, getElementName, getElementName, getEnumerationValues, getNTName, getNTName, getUpperName, getUpperName, relevantClasses, structTextDescription, walkStructFields`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theSchema

    XMLSchemaSyntax.Schema theSchema

### schemaNamespace

    public static final org.jdom.Namespace schemaNamespace

### simpleTypeTable

    static java.lang.Object[][] simpleTypeTable

  Maps classes to simple schema types.

Constructor Detail

### XMLSchemaSyntax

    public XMLSchemaSyntax()

### XMLSchemaSyntax

    public XMLSchemaSyntax(XMLTranslator xmlt)

Method Detail

### makeSchema

    public XMLSchemaSyntax.Schema makeSchema(java.lang.Class rootClass)

### makeSchema

    XMLSchemaSyntax.Schema makeSchema(java.lang.Class rootClass,
                                      java.util.List relevantClasses)

### addRootSyntax

    void addRootSyntax(XMLSchemaSyntax.Schema schema)

### addClassSyntax

    void addClassSyntax(XMLSchemaSyntax.Schema schema,
                        java.lang.Class c)

### addFrameworkDeclarations

    void addFrameworkDeclarations(XMLSchemaSyntax.Schema schema,
                                  java.lang.Class c)

### makeUpperCaseClassElement

    org.jdom.Element makeUpperCaseClassElement(ClassDescr cd)

### makeLowerCaseClassElement

    org.jdom.Element makeLowerCaseClassElement(ClassDescr cd)

### makeClassAsElementType

    org.jdom.Element makeClassAsElementType(ClassDescr cd)

### asElementTypeName

    java.lang.String asElementTypeName(java.lang.Class c)

### addStructSyntax

    void addStructSyntax(XMLSchemaSyntax.Schema schema,
                         java.lang.Class c)

### makeStructType

    org.jdom.Element makeStructType(java.lang.Class c)

### makeStructContents

    java.util.List makeStructContents(java.lang.Class c)

### makeStructAttributeElements

    java.util.List makeStructAttributeElements(java.util.List fields)

### makeStructAttributeElement

    org.jdom.Element makeStructAttributeElement(FieldDescr fd)

### makeStructFieldElements

    java.util.List makeStructFieldElements(java.util.List fields)

### makeStructFieldElement

    org.jdom.Element makeStructFieldElement(FieldDescr fd)

### getStructFieldValueType

    java.lang.String getStructFieldValueType(FieldDescr fd)

### getPlainValueType

    java.lang.String getPlainValueType(ClassDescr value)

### getListValueType

    java.lang.String getListValueType(ClassDescr value)

### getMapValueType

    java.lang.String getMapValueType(ClassDescr value)

### ensureListofClassTypes

    void ensureListofClassTypes(java.lang.Class c)

### makeListofClassAsElementType

    org.jdom.Element makeListofClassAsElementType(java.lang.Class c)

### ListofClassAsElementTypeName

    java.lang.String ListofClassAsElementTypeName(java.lang.Class eltClass)

### makeListofClassType

    org.jdom.Element makeListofClassType(java.lang.Class c)

### ListofClassTypeName

    java.lang.String ListofClassTypeName(java.lang.Class c)

### makeSequenceOfClass

    org.jdom.Element makeSequenceOfClass(java.lang.Class c)

### makeSequenceOfElement

    org.jdom.Element makeSequenceOfElement(org.jdom.Element elt)

### makeListType

    org.jdom.Element makeListType()

### makeMapType

    org.jdom.Element makeMapType()

### makeMapEntryElement

    org.jdom.Element makeMapEntryElement()

### makeObjectTypeElement

    org.jdom.Element makeObjectTypeElement(java.lang.String name)

### addEnumerationSyntax

    void addEnumerationSyntax(XMLSchemaSyntax.Schema schema,
                              java.lang.Class c)

### makeEnumerationType

    org.jdom.Element makeEnumerationType(java.lang.Class c)

### makeEnumerationValueElements

    java.util.List makeEnumerationValueElements(java.lang.Class c)

### addLiteralDocumentSyntax

    void addLiteralDocumentSyntax(XMLSchemaSyntax.Schema schema,
                                  java.lang.Class c)

### makeLiteralDocumentType

    org.jdom.Element makeLiteralDocumentType(java.lang.Class c)

### addPrimitiveSyntax

    void addPrimitiveSyntax(XMLSchemaSyntax.Schema schema,
                            java.lang.Class c)

### makePrimitiveType

    org.jdom.Element makePrimitiveType(java.lang.Class c)

### getSimpleType

    public static java.lang.String getSimpleType(java.lang.Class c)

  Maps classes to simple schema types.

### makeElement

    public org.jdom.Element makeElement(java.lang.String name,
                                        org.jdom.Namespace namespace,
                                        java.lang.String[][] attributes)

### makeXsdElement

    public org.jdom.Element makeXsdElement(java.lang.String name,
                                           java.lang.String[][] attributes)

### makeXsdElement

    public org.jdom.Element makeXsdElement(java.lang.String name)

### main

    public static void main(java.lang.String[] argv)

  Outputs a schema for I-X plans or for the class specified by the "root" parameter.

  See Also:
    `Parameters.getParameter(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD